# Interface ILayer

Represents a DXF layer definition.

interface ILayer {
color: number;
colorIndex: number;
frozen: boolean;
name: string;
visible: boolean;
}

#####
Index

### Properties

color
colorIndex
frozen
name
visible

##
Properties

### color

color: number

Color value (RGB integer).

### colorIndex

colorIndex: number

Color index associated with the layer.

### frozen

frozen: boolean

Whether the layer is frozen (not displayed).

### name

name: string

Layer name.

### visible

visible: boolean

Whether the layer is visible.